
function PlotMG1delayCV()

% Traffic types

lambda1=4000;
lambda2=1000;
lambda3=4000;
lambda4=100;

EL1=100;
EL2=2000;
EL3=4000;
EL4=12000;

CV1=0.5;
CV2=2;
CV3=1;
CV4 = [0:1:20];

for i=1:length(CV4)
   [ED1(i),ED2(i),ED3(i),ED4(i)]=mg1APmodel(lambda1,lambda2,lambda3,lambda4,EL1,EL2,EL3,EL4,CV1,CV2,CV3,CV4(i));
   %[ED1(i),ED2(i),ED3(i),ED4(i)]=mg1APmodelprio(lambda1,lambda2,lambda3,lambda4,EL1,EL2,EL3,EL4,CV1,CV2,CV3,CV4(i));    
end

figure('pos',[400 400 450 300])
axes;
set(gca,'fontsize',12);
semilogy(CV4,ED1,'ro-','LineWidth',1.5,'Markersize',8,'Color',[0.2,0.8,0.2]);
hold
semilogy(CV4,ED2,'rx-','LineWidth',1.5,'Markersize',8,'Color',[0.4,0.6,0.2]);
semilogy(CV4,ED3,'rs-','LineWidth',1.5,'Markersize',8,'Color',[0.6,0.4,0.2]);
semilogy(CV4,ED4,'r+-','LineWidth',1.5,'Markersize',8,'Color',[0.8,0.2,0.2]);
hold

h_legend=legend('E[D_1]','E[D_2]','E[D_3]','E[D_4]',2);
set(h_legend,'FontSize',12);

xlabel('CV_4','FontSize',12);
ylabel('seconds','FontSize',12);
axis([min(CV4) max(CV4) 1E-4 1]);
